VIPE(1)

NAME
vipe - edit pipe

SYNOPSIS
command1 | vipe | command2

DESCRIPTION
vipe allows you to run your editor in the middle of a unix pipeline and edit the data that is being piped between programs. Your editor will have the full data being piped from command1 loaded into it, and when you close it, that data will be piped into command2.

ARGUMENTS
vipe takes an argument --suffix that can be used to provide a file extension to the temp file generated. This enables editors to provide syntax highlighting and activate modes. For example, you can call vipe like

  vipe --suffix csv

to create a tempfile with .csv extensions which makes Emacs (or your favorite editor) launch in CSV major mode.

ENVIRONMENT VARIABLES

EDITOR
    Editor to use.

VISUAL
    Also supported to determine what editor to use.

AUTHOR
Copyright 2006 by Joey Hess <id@joeyh.name>

Licensed under the GNU GPL.